commit:     acad5327d6e44f7f4b2dd8a5eb6a563a1297aac3
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 25 15:58:03 2021 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Mon Jan 25 16:09:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=acad5327

app-crypt/pinentry: major rework

- disable fltk (was not used)
- disable gtk2 (obsolete)
- fix qt5 symlink
- link gnome3-pinentry under gtk USE

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 ...ry-1.1.0-r3.ebuild => pinentry-1.1.0-r4.ebuild} | 28 +++++++---------------
 1 file changed, 8 insertions(+), 20 deletions(-)

diff --git a/app-crypt/pinentry/pinentry-1.1.0-r3.ebuild 
b/app-crypt/pinentry/pinentry-1.1.0-r4.ebuild
similarity index 66%
rename from app-crypt/pinentry/pinentry-1.1.0-r3.ebuild
rename to app-crypt/pinentry/pinentry-1.1.0-r4.ebuild
index a86c83d4d9f..967f928b26f 100644
--- a/app-crypt/pinentry/pinentry-1.1.0-r3.ebuild
+++ b/app-crypt/pinentry/pinentry-1.1.0-r4.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc 
x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="caps emacs gnome-keyring fltk gtk ncurses qt5"
+IUSE="caps emacs gnome-keyring gtk ncurses qt5"
 
 DEPEND="
        app-eselect/eselect-pinentry
@@ -20,9 +20,7 @@ DEPEND="
        >=dev-libs/libgcrypt-1.6.3
        >=dev-libs/libgpg-error-1.17
        caps? ( sys-libs/libcap )
-       fltk? ( x11-libs/fltk )
        gnome-keyring? ( app-crypt/libsecret )
-       gtk? ( x11-libs/gtk+:2 )
        ncurses? ( sys-libs/ncurses:0= )
        qt5? (
                dev-qt/qtcore:5
@@ -31,7 +29,7 @@ DEPEND="
        )
 "
 RDEPEND="${DEPEND}
-       gnome-keyring? ( app-crypt/gcr )
+       gtk? ( app-crypt/gcr )
 "
 BDEPEND="
        sys-devel/gettext
@@ -48,6 +46,7 @@ PATCHES=(
 
 src_prepare() {
        default
+       unset FLTK_CONFIG
        eautoreconf
 }
 
@@ -58,16 +57,15 @@ src_configure() {
 
        econf \
                $(use_enable emacs pinentry-emacs) \
-               $(use_enable fltk pinentry-fltk) \
                $(use_enable gnome-keyring libsecret) \
-               $(use_enable gnome-keyring pinentry-gnome3) \
-               $(use_enable gtk pinentry-gtk2) \
+               $(use_enable gtk pinentry-gnome3) \
                $(use_enable ncurses fallback-curses) \
                $(use_enable ncurses pinentry-curses) \
                $(use_enable qt5 pinentry-qt) \
                $(use_with caps libcap) \
                --enable-pinentry-tty \
-               FLTK_CONFIG="${ESYSROOT}/usr/bin/fltk-config" \
+               --disable-pinentry-fltk \
+               --disable-pinentry-gtk2 \
                MOC="$(qt5_get_bindir)"/moc \
                
GPG_ERROR_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-gpg-error-config" \
                LIBASSUAN_CONFIG="${ESYSROOT}/usr/bin/libassuan-config" \
@@ -76,22 +74,12 @@ src_configure() {
 
 src_install() {
        default
-       rm -f "${ED}"/usr/bin/pinentry
+       rm "${ED}"/usr/bin/pinentry || die
 
-       use qt5 && dosym pinentry-qt /usr/bin/pinentry-qt4
+       use qt5 && dosym pinentry-qt /usr/bin/pinentry-qt5
 }
 
 pkg_postinst() {
-       if ! has_version 'app-crypt/pinentry' || has_version 
'<app-crypt/pinentry-0.7.3'; then
-               elog "We no longer install pinentry-curses and pinentry-qt SUID 
root by default."
-               elog "Linux kernels >=2.6.9 support memory locking for 
unprivileged processes."
-               elog "The soft resource limit for memory locking specifies the 
limit an"
-               elog "unprivileged process may lock into memory. You can also 
use POSIX"
-               elog "capabilities to allow pinentry to lock memory. To do so 
activate the caps"
-               elog "USE flag and add the CAP_IPC_LOCK capability to the 
permitted set of"
-               elog "your users."
-       fi
-
        eselect pinentry update ifunset
 }
 

Reply via email to